package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 建议反馈对象 tb_feedback
 *
 * @author lishuwen
 * @date 2021-11-23
 */
public class Feedback extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 投诉标题
     */
    @Excel(name = "投诉标题")
    private String title;

    /**
     * 投诉内容
     */
    @Excel(name = "投诉内容")
    private String content;

    /**
     * 投诉照片
     */
    @Excel(name = "投诉照片")
    private String pic;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phone;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getPic() {
        return pic;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPhone() {
        return phone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("content", getContent())
                .append("pic", getPic())
                .append("phone", getPhone())
                .append("createTime", getCreateTime())
                .toString();
    }
}
